unit uAddEditUser;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfmAddEditUser = class(TForm)
    laUserName: TLabel;
    edUserName: TEdit;
    laPassword: TLabel;
    edPassword: TEdit;
    laWorkingDir: TLabel;
    edWorkingDir: TEdit;
    btBrowse: TButton;
    btOk: TButton;
    btCancel: TButton;
    procedure btBrowseClick(Sender: TObject);
    procedure edWorkingDirChange(Sender: TObject);
  private
  public
  end;

var
  fmAddEditUser: TfmAddEditUser;

implementation
     
uses
  FileCtrl;

{$R *.dfm}

procedure TfmAddEditUser.btBrowseClick(Sender: TObject);
var
  s: String;
begin
  if SelectDirectory('&   :', '', s) then
    edWorkingDir.Text:=s;
end;

procedure TfmAddEditUser.edWorkingDirChange(Sender: TObject);
begin
  btOk.Enabled:=DirectoryExists(edWorkingDir.Text) and (edPassword.Text <> '');
end;

end.
